using System.ComponentModel.DataAnnotations;

namespace PersonSport.Models {
    public class Admin {
        [Required]
        public int AdminId { get; set; }

        [Required(ErrorMessage = "Du måste ange ett användarnamn")]
        [StringLength(40, MinimumLength = 2, ErrorMessage = "Användarnamnet måste vara mellan 2 och 40 tecken")]
        public string Username { get; set; }


        [Required(ErrorMessage = "Du måste ange ett lösenord")]
        [DataType(DataType.Password)]
        [StringLength(80, MinimumLength=6, ErrorMessage="Lösenordet måste vara minst 6 tecken.")]
        public string Password { get; set; }
    }
}
